/*
このファイルの中身は、NTT オープンソースライセンス　バージョン 1.0（「本
契約」という）の適用を受けます。
本契約を遵守しない限り、このファイルを使用してはなりません。
本契約のコピーは、次のＵＲＬから入手できます。
【配布サイトのURL】 http://www.oss.ecl.ntt.co.jp/lms/

本契約に基づき頒布されるソフトウェアは、現状のまま、明示又は黙示のあらゆ
る種類の保証なしで、頒布されます。本契約に基づく権利及び制限を律する特定
の文言については、本契約を参照してください。

「オリジナルコード」は、 NTT Cyber Space Laboratories Code です。 
「オリジナルコード」の「初期開発者」は、日本電信電話株式会社です。  
日本電信電話株式会社により創作された部分は、Copyright (C) 2004 
日本電信電話株式会社 です。
全ての権利が留保されます。 
「コントリビュータ」：_____________________________________ 


The contents of this file are subject to the NTT Opensource License
Version 1.0 (the License); you may not use this file except in
compliance with the License. You may obtain a copy of the License at
【配布サイトのURL】 http://www.oss.ecl.ntt.co.jp/lms/

Software distributed under the License is distributed on an AS IS
basis, WITHOUT WARRANTY OF ANY KIND, either express or implied. See the
License for the specific language governing rights and limitations
under the License.

The Original Code is NTT Cyber Space Laboratories Code .

The Initial Developer of the Original Code is NIPPON TELEGRAPH AND 
TELEPHONE CORPORATION.
Portions created by the NIPPON TELEGRAPH AND TELEPHONE CORPORATION 
are Copyright (C) 2004 NIPPON TELEGRAPH AND TELEPHONE CORPORATION. 
All Rights Reserved.

Contributor(s) ______________________________________.
*/

//
//	AICCInteracionレコードクラス
//			変更履歴
//				2004.01.08	新規作成	中山 雅文
//
package jp.co.ntt.lms.lo.WBT.Aicc;

/**
 * AiccInteraction情報をDBに格納する為の情報を保持するクラスです。
 */
public class AiccInteractionRecord extends AiccBaseRecord {

	/** いんたらくしょんID */
	private String mInteractionID = "";

	/** おぶじぇくてぃぶID */
	private String mObjectiveID = "";

	/** いんたらくしょん種別 */
	private String mTypeInteraction = "";

	/** コレクトレスポンス */
	private String mCorrectResponse = "";

	/** レスポンスバリュー */
	private String mResponseValue = "";

	/** 学習者レスポンス */
	private String mStudentResponse = "";

	/** 結果 */
	private String mResult = "";

	/** 重みづけ */
	private String mWeighting = "";

	/** 遅延時間 */
	private String mLatency = "";

	/** 解答回数 */
	private String mstrResponseTimes = "";


	/**
	 * いんたらくしょんIDを設定します。
	 * @param String インタラクションID
	 */
	public void setInteractionID(String strInteractionID ){
		mInteractionID = strInteractionID;
	}
	/**
	 * インタラクションIDを返却します。
	 * @return インタラクションID
	 */
	public String getInteractionID(){
		return mInteractionID;
	}
	/**
	 * おぶじぇくてぃぶIDを設定します。
	 * @param String オブジェクティブID
	 */
	public void setObjectiveID (String strObjectiveID  ){
		mObjectiveID  = strObjectiveID ;
	}
	/**
	 * オブジェクティブIDを返却します。
	 * @return オブジェクティブID
	 */
	public String getObjectiveID (){
		return mObjectiveID ;
	}
	/**
	 * インタラクション種別を設定します。
	 * @param String インタラクション種別
	 */
	public void setTypeInteraction(String strTypeInteraction ){
		mTypeInteraction = strTypeInteraction;
	}
	/**
	 * インタラクション種別を返却します。
	 * @return インタラクション種別
	 */
	public String getTypeInteraction(){
		return mTypeInteraction;
	}
	/**
	 * コレクトレスポンスを設定します。
	 * @param String コレクトレスポンス
	 */
	public void setCorrectResponse(String strCorrectResponse ){
		mCorrectResponse = strCorrectResponse;
	}
	/**
	 * コレクトレスポンスを返却します。
	 * @return コレクトレスポンス
	 */
	public String getCorrectResponse(){
		return mCorrectResponse;
	}
	/**
	 * レスポンスばりゅーを設定します。
	 * @param String レスポンスバリュー
	 */
	public void setResponseValue(String strResponseValue ){
		mResponseValue = strResponseValue;
	}
	/**
	 * レスポンスばりゅーを返却します。
	 * @return レスポンスばりゅー
	 */
	public String getResponseValue(){
		return mResponseValue;
	}
	/**
	 * 学習者レスポンスを設定します。
	 * @param String 学習者レスポンス
	 */
	public void setStudentResponse(String strStudentResponse ){
		mStudentResponse = strStudentResponse;
	}
	/**
	 * 学習者レスポンスを返却します。
	 * @return 学習者レスポンス
	 */
	public String getStudentResponse(){
		return mStudentResponse;
	}
	/**
	 * 結果を設定します。
	 * @param String 結果
	 */
	public void setResult(String strResult ){
		mResult = strResult;
	}
	/**
	 * 結果を返却します。
	 * @return 結果
	 */
	public String getResult(){
		return mResult;
	}
	/**
	 * 重み付けを設定します。
	 * @param String 重み付け
	 */
	public void setWeighting(String strWeighting ){
		mWeighting = strWeighting;
	}
	/**
	 * 重み付けを返却します。
	 * @return 重み付け
	 */
	public String getWeighting(){
		return mWeighting;
	}
	/**
	 * 遅延時間を設定します。
	 * @param String 遅延時間
	 */
	public void setLatency(String strLatency ){
		mLatency = strLatency;
	}
	/**
	 * 遅延時間を返却します。
	 * @return 遅延時間
	 */
	public String getLatency(){
		return mLatency;
	}
	/**
	 * 解答回数を設定します。
	 * @param String 解答回数
	 */
	public void setResponseTimes(String strResponseTimes ){
		mstrResponseTimes = strResponseTimes;
	}
	/**
	 * 解答回数を返却します。
	 * @return String 解答回数
	 */
	public String getResponseTimes(){
		return mstrResponseTimes;
	}
}



